Create Transaction

Add transactions to the portfolio directly.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Sample Payload

{
    "transactions": [
        {
            "connectionId": 1045,
            "connectionType": "exchange",
            "connectorId": 0,
            "tag": "deposit",
            "nonTaxable": 0,
            "isInternal": 0,
            "type": "receive",
            "inAmount": 10000000,
            "inCryptoType": "USDC",
            "inCryptoId": 12, // can be used instead of type
            "outAmount": 10000000,
            "outCryptoType": "USDC",
            "outCryptoId": 12, // can be used instead of type
            "unixTime": 1733863297000,
            "originAddress": "0xa",
            "destinationAddress": "0xb",
            "txhash": "0xhash",
            "memo": "wallet/exchange deposit example",
            "classificationId": 1
        }
    ]
}
{
    "transactions": [
        {
            "connectionId": 6973,
            "connectionType": "exchange",
            "connectorId": 6973,
            "nonTaxable": 0,
            "isInternal": 0,
            "type": "receive",
            "inAmount": 1,
            "inCryptoType": "BAYC",
            "outAmount": 1,
            "outCryptoType": "BAYC",
            "unixTime": 1733863297000,
            "originAddress": "0xa",
            "destinationAddress": "0xb",
            "txhash": "0xhashasdasd",
            "memo": "wallet/exchange deposit example",
            "classificationId": null,

            "tag": "nft",
            "contractAddress": "0xBC4CA0EdA7647A8ab7C2061c2E118A18A936f13D",
            "tokenID": "7342",
            "tokenName": "Bored Ape Yacht Club #7342",
            "tokenSymbol": "BAYC",
            "previewImageUrl": null,
            "title": null,
            "description": null,
            "externalLink": null
        }
    ]
}
Body Params
transactions
array of objects
required

List of transaction objects to process.

transactions*
string
Headers
string

Pass your API KEY here

integer

Pass your portfolio ID

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain